@import url('./vendor/bootstrap.min.css');
@import url('./vendor/bootstrap-icons.css');

html, body {
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
    font-weight: 300;
    height: 100%;
  }

  body {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  main a {
    color: #17a2b8 !important;
    text-decoration: none;
  }
  
  /* width */
   ::-webkit-scrollbar {
    width: 10px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 10px;
  }
  
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: #888;
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #555;
  }
  
  .not-found-page main i {
    font-size: 6rem;
    color: red;
    opacity: 0.5;
  }

  .not-found-page main .font-dark {
    font-size: 6rem;
  }

  .not-found-page main .btn-secondary {
    border: 0 !important;
    box-shadow: none !important;
    color: #fff !important;
  }

  header.bg-dark {
    background-color: #343a40 !important;
    position: fixed;
    width: 100%;
    z-index: 100;
  }

  header.bg-dark .container-lg {
    display: block;
  }

  header.bg-dark a {
    font-size: 1.8rem;
    padding: 0;
  }

  header a i.bi {
    margin-right: 0.5rem;
  }

  header .search-bar {
    position: relative;
  }

  header #search-input {
    margin-top: 2px;
    padding-right: 45px;
  }

  header .search-bar i.bi {
    position: absolute;
    right: 0;
    top: 0;
    font-size: 1.4rem;
    opacity: 0.3;
    padding: 3px 10px;
    cursor: pointer;
  }

  header .search-bar i.bi:hover {
    opacity: 0.6;
  }

  main {
    padding-top: 4.3rem;
  }
  
  main section h1 {
    font-weight: 100;
  }

  main #search-no-result {
    font-size: 2rem;
    padding: 2rem 0;
    opacity: 0.2;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  main a.card {
    margin-bottom: 1.5rem;
    text-decoration: none;
    color: #312F2F !important;
    border-radius: 15px;
  }

  main a.card:hover {
    box-shadow: 0 0 10px 1px #dadada;
    cursor: pointer;
  }
  
  main a.card .image {
    height: 150px;
    display: flex;
    align-items: center;
    padding: 1rem 1rem 0.5rem 1rem;
    justify-content: center;
  }
  
  main a.card .image img {
    height: 100%;
  }
  
  main a.card .card-text {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.2rem;
    font-weight: 400;
    padding: 0.5rem 0.5rem 1rem 0.5rem;
    white-space: nowrap;
  }
  
  .footer-light {
    text-align: center;
    padding: 2rem 0;
  }

  .footer-light ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
  }

  .footer-light ul li {
    display: inline-block;
    margin-right: 0.5rem;
  }

  .footer-light ul li:last-child {
    margin: 0;
  }

  .footer-light a {
      color: #6c757d !important;
      text-decoration: none;
  }

  .footer-light a:hover {
    color: #454545 !important;
  }

  pre code {
    background-color: #fff;
    border: 1px solid #e7e7e7;
    display: block;
    padding: 1rem;
    border-radius: 5px;
  }

  ::-moz-selection { /* Code for Firefox */
    color: #000;
    background: #ffc107;
  }
  
  ::selection {
    color: #000;
    background: #ffc107;
  }